Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86319 - (DRM I810)Restart i810 XFree86 hanged immediately after upgrade the kernel to 2.4.18-27.7.x
Summary: (DRM I810)Restart i810 XFree86 hanged immediately after upgrade the kernel to...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 19:17 UTC by Loki chan
Modified: 2007-03-27 04:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:39 UTC


Attachments (Terms of Use)

Description Loki chan 2003-03-19 19:17:10 UTC
Description of problem:
Restart (<CTRL>+<ALT>+backspace, or logout the X in runlevel 5) the i810 XFree86
will result in kernel panic immediately.

Version-Release number of selected component (if applicable):
2.4.18-27.7.x (no such problem on 2.4.18-18.7.x)

How reproducible:
Always

Steps to Reproduce:
a)
1.login though gdm (runlevel 5)
2.logout the X
or
b)
1.startx in runlevel 3
2.press <CTRL>+<ALT>+backspace (no problem if select logout to exit the X)

Actual results:
hanged immediately

Expected results:
a) show the gdm screen
b) restart the X window

Additional info:
shutdown/restart the machine in runlevel 5 will result in kernel panic too.

dmesg:
Linux version 2.4.18-27.7.x (bhcompile@stripples.devel.redhat.com) (gcc version
2.96 20000731 (Red Hat Linux 7.3 2.96-112)) #1 Fri Mar 14 06:44:53 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000017efc000 (usable)
 BIOS-e820: 0000000017efc000 - 0000000017eff000 (ACPI data)
 BIOS-e820: 0000000017eff000 - 0000000017f00000 (ACPI NVS)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
382MB LOWMEM available.
On node 0 totalpages: 98044
zone(0): 4096 pages.
zone(1): 93948 pages.
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda5 hdc=ide-scsi
ide_setup: hdc=ide-scsi
Initializing CPU#0
Detected 467.732 MHz processor.
Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay loop... 929.07 BogoMIPS
Memory: 381404k/392176k available (1154k kernel code, 8208k reserved, 976k data,
160k init, 0k highmem)
Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
Mount cache hash table entries: 8192 (order: 4, 65536 bytes)
ramfs: mounted with options: <defaults>
ramfs: max_pages=47947 max_file_pages=0 max_inodes=0 max_dentries=47947
Buffer cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
CPU: Before vendor init, caps: 0183f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 128K
CPU: After vendor init, caps: 0183f9ff 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0183f9ff 00000000 00000000 00000000
CPU:             Common caps: 0183f9ff 00000000 00000000 00000000
CPU: Intel Celeron (Mendocino) stepping 05
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xf0680, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Transparent bridge - Intel Corp. 82801AA PCI Bridge
PCI: Using IRQ router PIIX [8086/2410] at 00:1f.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
block: 736 slots per queue, batch=184
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev f9
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xb800-0xb807, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xb808-0xb80f, BIOS settings: hdc:DMA, hdd:pio
hda: Maxtor 4G120J6, ATA DISK drive
hdb: IC35L040AVER07-0, ATA DISK drive
hdc: CREATIVE CD-RW RW4224E, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
blk: queue c0386984, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0386984, I/O limit 4095Mb (mask 0xffffffff)
hda: 240121728 sectors (122942 MB) w/2048KiB Cache, CHS=14946/255/63, UDMA(66)
blk: queue c0386acc, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0386acc, I/O limit 4095Mb (mask 0xffffffff)
hdb: 80418240 sectors (41174 MB) w/1916KiB Cache, CHS=5005/255/63, UDMA(66)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 >
 hdb: hdb1
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 121k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 160k freed
Adding Swap: 819272k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 06:52:43 Mar 14 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 9 for device 00:1f.2
PCI: Setting latency timer of device 00:1f.2 to 64
usb-uhci.c: USB UHCI at I/O 0xb400, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,5), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,9), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,3), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,2), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,7), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,65), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: CREATIVE  Model: CD-RW RW4224E     Rev: 1.44
  Type:   CD-ROM                             ANSI SCSI revision: 02
hdc: DMA disabled
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
8139too Fast Ethernet driver 0.9.25
divert: allocating divert_blk for eth0
eth0: RealTek RTL8139 Fast Ethernet at 0xd88e3000, 00:50:bf:46:73:b9, IRQ 9
eth0:  Identified 8139 chip type 'RTL-8139C'
divert: allocating divert_blk for eth1
eth1: RealTek RTL8139 Fast Ethernet at 0xd88e5000, 00:50:bf:4e:d2:7b, IRQ 11
eth1:  Identified 8139 chip type 'RTL-8139C'
eth1: Setting 100mbps full-duplex based on auto-negotiated partner ability
45e1.eth0: Setting half-duplex based on auto-negotiated partner ability 0000.
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
divert: not allocating divert_blk for non-ethernet device ppp0
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack (3063 buckets, 24504 max)
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
blk: queue c0386984, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0386acc, I/O limit 4095Mb (mask 0xffffffff)
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
hda: drive not ready for command
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 320M
agpgart: Detected an Intel i810 DC100 Chipset.
agpgart: detected 4MB dedicated video ram.
agpgart: AGP aperture is 64M @ 0xe4000000
[drm] AGP 0.99 on Intel i810 @ 0xe4000000 64MB
mtrr: no more MTRRs available
[drm] Initialized i810 1.2.0 20010920 on minor 0
mtrr: base(0xe4000000) is not aligned on a size(0x180000) boundary
mtrr: no more MTRRs available
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12

Comment 1 Loki chan 2003-03-20 02:15:48 UTC
seems that this bug is a dupe of 71965, although kernel version is different.

Comment 2 Bugzilla owner 2004-09-30 15:40:39 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.